Bug 60111 - usb_control/bulk_msg timeout with Rio 500
Summary: usb_control/bulk_msg timeout with Rio 500
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-20 11:22 UTC by Ade Rixon
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-25 13:38:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ade Rixon 2002-02-20 11:22:16 UTC
Description of Problem:
Uploading MP3s to my Rio 500 with the rio500 0.7 utilities, I get repeated USB
timeouts and failures after the first few songs. Subsequent transfers then fail
and the Rio is often left in an inconsistent state.
Occasionally works correctly (usually after reboot).

Version-Release number of selected component (if applicable):
Same results with kernel 2.4.7, 2.4.9-13 & 2.4.9-21.

How Reproducible:
Compile & install rio500 utils from rio500.sf.net.
Use rio_add_song to upload several MP3s to device.

Steps to Reproduce:
1. rio_add_song *.mp3
2. 
3. 

Actual Results:
messages file:
Feb 19 22:22:30 homer kernel: rio500.c: Rio opened.
Feb 19 22:22:43 homer kernel: usb_control/bulk_msg: timeout
Feb 19 22:23:14 homer last message repeated 6 times
Feb 19 22:23:14 homer kernel: usb-uhci.c: interrupt, status 2, frame# 719
Feb 19 22:23:14 homer kernel: rio500.c: Error executing ioctrl. code = -84
Feb 19 22:23:14 homer kernel: usb-uhci.c: interrupt, status 2, frame# 749
Feb 19 22:23:14 homer kernel: rio500.c: Error executing ioctrl. code = -84
Feb 19 22:23:19 homer kernel: usb_control/bulk_msg: timeout
Feb 19 22:23:43 homer last message repeated 4 times
Feb 19 22:23:49 homer kernel: usb_control/bulk_msg: timeout
Feb 19 22:23:49 homer kernel: usb-uhci.c: interrupt, status 2, frame# 1019
Feb 19 22:23:49 homer kernel: rio500.c: Error executing ioctrl. code = -84
Feb 19 22:23:49 homer kernel: usb-uhci.c: interrupt, status 2, frame# 1049
Feb 19 22:23:49 homer kernel: rio500.c: Error executing ioctrl. code = -84
Feb 19 22:23:52 homer kernel: usb-uhci.c: interrupt, status 2, frame# 359
Feb 19 22:23:52 homer kernel: hub.c: already running port 2 disabled by hub
(EMI?), re-enabling...
Feb 19 22:23:52 homer kernel: usb.c: USB disconnect on device 6
Feb 19 22:23:53 homer kernel: usb-uhci.c: interrupt, status 2, frame# 1358
Feb 19 22:23:54 homer kernel: usb-uhci.c: interrupt, status 2, frame# 309
Feb 19 22:23:55 homer kernel: usb-uhci.c: interrupt, status 2, frame# 1310
Feb 19 22:23:56 homer kernel: usb-uhci.c: interrupt, status 2, frame# 261
Feb 19 22:23:57 homer kernel: usb-uhci.c: interrupt, status 2, frame# 1262
Feb 19 22:23:57 homer kernel: usb-uhci.c: interrupt, status 2, frame# 1265
Feb 19 22:23:57 homer kernel: rio500.c: Error executing ioctrl. code = -84
Feb 19 22:23:57 homer kernel: hub.c: USB new device connect on bus1/2, assigned
device number 7
Feb 19 22:23:57 homer kernel: usb-uhci.c: interrupt, status 2, frame# 1329
Feb 19 22:23:57 homer kernel: usb.c: USB device not accepting new address=7
(error=-110)
Feb 19 22:23:58 homer kernel: hub.c: USB new device connect on bus1/2, assigned
device number 8
Feb 19 22:23:58 homer kernel: usb-uhci.c: interrupt, status 2, frame# 1579
Feb 19 22:23:58 homer kernel: usb.c: USB device not accepting new address=8
(error=-110)
Feb 19 22:23:58 homer kernel: rio500.c: Rio closed.

lcpci:
00:07.2 USB Controller: VIA Technologies, Inc. UHCI USB (rev 02) (prog-if 00
[UHCI])
        Subsystem: Unknown device 0925:1234
        Flags: bus master, medium devsel, latency 32, IRQ 9
        I/O ports at e400 [size=32]

Expected Results:
Normal transfer.

Additional Information:
Same result using uhci driver.
Used to work correctly with kernel 2.2.19 and RHL 6.2.
Works correctly with Rawhide kernel 2.4.16, but very s-l-o-w transfer rate.

Comment 1 Ade Rixon 2002-03-25 13:38:34 UTC
I've discovered that the problems only occur when reading files off my CD-ROM
drive  with DMA enabled. I've previously filed Bug #38588 against the DMA issue.
Therefore, you can close this one down, thanks.

Comment 2 Pete Zaitcev 2002-03-25 17:11:27 UTC
I'm glad you can work around it. I've got Rio 600 and I thought
that perhaps it was a difference between those... so I never had
a chance to guess :)


Note You need to log in before you can comment on or make changes to this bug.